/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ProvenanceForUpdateDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ProvenanceForUpdateDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ProvenanceForUpdateDto
        //private ProvenanceForUpdateDto instance;

        public ProvenanceForUpdateDtoTests()
        {
            // TODO uncomment below to create an instance of ProvenanceForUpdateDto
            //instance = new ProvenanceForUpdateDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProvenanceForUpdateDto
        /// </summary>
        [Fact]
        public void ProvenanceForUpdateDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ProvenanceForUpdateDto
            //Assert.IsType<ProvenanceForUpdateDto>(instance);
        }

        /// <summary>
        /// Test the property 'WasRevisionOf'
        /// </summary>
        [Fact]
        public void WasRevisionOfTest()
        {
            // TODO unit test for the property 'WasRevisionOf'
        }

        /// <summary>
        /// Test the property 'Variants'
        /// </summary>
        [Fact]
        public void VariantsTest()
        {
            // TODO unit test for the property 'Variants'
        }

        /// <summary>
        /// Test the property 'WasInvalidatedBy'
        /// </summary>
        [Fact]
        public void WasInvalidatedByTest()
        {
            // TODO unit test for the property 'WasInvalidatedBy'
        }

        /// <summary>
        /// Test the property 'SimilarityToLastVersion'
        /// </summary>
        [Fact]
        public void SimilarityToLastVersionTest()
        {
            // TODO unit test for the property 'SimilarityToLastVersion'
        }

        /// <summary>
        /// Test the property 'MetadataExtractorVersion'
        /// </summary>
        [Fact]
        public void MetadataExtractorVersionTest()
        {
            // TODO unit test for the property 'MetadataExtractorVersion'
        }

        /// <summary>
        /// Test the property 'HashParameters'
        /// </summary>
        [Fact]
        public void HashParametersTest()
        {
            // TODO unit test for the property 'HashParameters'
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }
    }
}
